#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

Name:           kodaskanna
Version:        0.2.2
Release:        %mkrel 2
Summary:        Barcode and QR-code scanner app for KDE
Group:          Graphical desktop/KDE
License:        GPLv2+ and GPLv3 and GPLv2
URL:            https://apps.kde.org/kodaskanna/
Source0:        https://download.kde.org/unstable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6MultimediaWidgets)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  cmake(ZXing)


%description
Kodaskanna is a utility for reading data from 1D/2D codes
(e.g. QR codes or bar codes) and making the data available
for further processing.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_categoriesdir}/%{name}.categories
%{_kf6_bindir}/%{name}
%{_kf6_plugindir}/purpose/kodaskannaplugin.so
%{_kf6_applicationdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.svg
%{_kf6_services}/%{name}_scan_image.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.2.2-2.mga10
+ Revision: 2233883
- Mageia 10 Mass Rebuild

* Sat Jan 18 2025 daviddavid <daviddavid> 0.2.2-1.mga10
+ Revision: 2139576
- new version: 0.2.2

* Wed Jan 01 2025 daviddavid <daviddavid> 0.2.1-1.mga10
+ Revision: 2134249
- new version: 0.2.1

* Sat Dec 14 2024 daviddavid <daviddavid> 0.2.0-1.mga10
+ Revision: 2125010
- initial package kodaskanna

